commit 8ee4385a7645881cbef0240e653f28db0517ed3d
Author: jklowden <jklowden>
Date:   Sat Dec 5 20:25:31 2009 +0000

    applied small optind patch from ML

diff --git a/ChangeLog b/ChangeLog
index 42e3985..7b57db4 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,6 @@
+Sat Dec  5 14:43:00 EST 2009	JK Lowden <jklowden@freetds.org>
+	* src/apps/tsql.c applied small optind patch from ML
+
 Fri Dec  4 11:34:10 CET 2009    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* src/odbc/unittests/getdata.c:
 	- check buffer unchanged if overflow detected
@@ -15,7 +18,7 @@ Wed Dec  2 17:30:10 EST 2009	JK Lowden <jklowden@freetds.org>
 
 Sun Nov 29 21:16:19 CET 2009    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* src/odbc/unittests/getdata.c:
-	- Check error if conversion truncate data
+	- Check error if conversion truncates data
 
 Sun Nov 29 21:06:18 CET 2009    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* src/odbc/unittests/data.c: Fix MS ODBC problem during test
@@ -1954,4 +1957,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog-0.82 added because of release
 	
 $FreeTDS$
-$Id: ChangeLog,v 1.2898 2009/12/04 10:35:06 freddy77 Exp $
+$Id: ChangeLog,v 1.2899 2009/12/05 20:25:31 jklowden Exp $
diff --git a/src/apps/tsql.c b/src/apps/tsql.c
index c751969..e337b62 100644
--- a/src/apps/tsql.c
+++ b/src/apps/tsql.c
@@ -85,7 +85,7 @@
 #include "tdsconvert.h"
 #include "replacements.h"
 
-TDS_RCSID(var, "$Id: tsql.c,v 1.129 2009/10/23 19:21:38 jklowden Exp $");
+TDS_RCSID(var, "$Id: tsql.c,v 1.130 2009/12/05 20:25:31 jklowden Exp $");
 
 #define TDS_ISSPACE(c) isspace((unsigned char) (c))
 
@@ -313,8 +313,10 @@ reset_getopt(void)
 {
 #ifdef HAVE_GETOPT_OPTRESET
 	optreset = 1;
-#endif
 	optind = 1;
+#else
+	optind = 0;
+#endif
 }
 
 /*

